## GstDynamicTypeFactory GstDynamicTypeFactory — Represents a registered dynamically loadable GType |

## Functions

GType | gst_dynamic_type_factory_load ()
gboolean | gst_dynamic_type_register ()

## Types and Values

| GstDynamicTypeFactory

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstPluginFeature
                    ╰── GstDynamicTypeFactory

## Includes

    #include <gst/gst.h>

## Description

GstDynamicTypeFactory is used to represent a type that can be automatically loaded the first time it is used. For example, a non-standard type for use in caps fields.

In general, applications and plugins don't need to use the factory beyond registering the type in a plugin init function. Once that is done, the type is stored in the registry, and ready as soon as the registry is loaded.

#### Registering a type for dynamic loading

    1
    2
    3
    4
    5
    static gboolean
    plugin_init (GstPlugin * plugin)
    {
      return gst_dynamic_type_register (plugin, GST_TYPE_CUSTOM_CAPS_FIELD);
    }

## Functions

### gst_dynamic_type_factory_load ()

    GType
    gst_dynamic_type_factory_load (const gchar *factoryname);

### gst_dynamic_type_register ()

    gboolean
    gst_dynamic_type_register (GstPlugin *plugin,
                               GType type);

## Types and Values

### GstDynamicTypeFactory

    typedef struct _GstDynamicTypeFactory GstDynamicTypeFactory;

The opaque GstDynamicTypeFactory data structure.

## See Also

GstPlugin, GstPluginFeature.